ru.bitel.oss.kernel.entity.common.bean

## Enum EntitySpecAttrType

- java.lang.Object
- - java.lang.Enum<EntitySpecAttrType>
  - - ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttrType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EntitySpecAttrType>

      public enum EntitySpecAttrType
      extends java.lang.Enum<EntitySpecAttrType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESS`
    `BOOLEAN`
    `CONTRACT`
    `DATE`
    `EMAIL`
    `ENTITY`
    `HOUSE`
    `INT`
    `LIST`
    `LONG`
    `MULTILIST`
    `PERIOD`
    `PHONE`
    `TEXT`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static EntitySpecAttrType` | `getEntitySpecAttrType(int code)`
    `java.lang.String` | `getTypeName()`
    `java.lang.String` | `getTypeTitle()`
    `void` | `setCode(int code)`
    `void` | `setTypeName(java.lang.String typeName)`
    `void` | `setTypeTitle(java.lang.String typeTitle)`
    `java.lang.String` | `toString()`
    `static EntitySpecAttrType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EntitySpecAttrType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final EntitySpecAttrType UNKNOWN

    - #### TEXT

          public static final EntitySpecAttrType TEXT

    - #### INT

          public static final EntitySpecAttrType INT

    - #### BOOLEAN

          public static final EntitySpecAttrType BOOLEAN

    - #### LIST

          public static final EntitySpecAttrType LIST

    - #### DATE

          public static final EntitySpecAttrType DATE

    - #### PERIOD

          public static final EntitySpecAttrType PERIOD

    - #### HOUSE

          public static final EntitySpecAttrType HOUSE

    - #### ADDRESS

          public static final EntitySpecAttrType ADDRESS

    - #### EMAIL

          public static final EntitySpecAttrType EMAIL

    - #### PHONE

          public static final EntitySpecAttrType PHONE

    - #### MULTILIST

          public static final EntitySpecAttrType MULTILIST

    - #### LONG

          public static final EntitySpecAttrType LONG

    - #### ENTITY

          public static final EntitySpecAttrType ENTITY

    - #### CONTRACT

          public static final EntitySpecAttrType CONTRACT

  - ### Method Detail

    - #### values

          public static EntitySpecAttrType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntitySpecAttrType c : EntitySpecAttrType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntitySpecAttrType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### setCode

          public void setCode(int code)

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### setTypeName

          public void setTypeName(java.lang.String typeName)

    - #### getTypeTitle

          public java.lang.String getTypeTitle()

    - #### setTypeTitle

          public void setTypeTitle(java.lang.String typeTitle)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<EntitySpecAttrType>`

    - #### getEntitySpecAttrType

          public static EntitySpecAttrType getEntitySpecAttrType(int code)